1. TripPlan
Airoad
  • TripPlan
    • 사용자의 여행 일정 목록 조회
      GET
    • 여행 일정 생성 세션 생성
      POST
    • 여행 일정 상세 조회
      GET
    • AI 여행 일정 생성 시작
      POST
    • 여행 일정 삭제
      DELETE
    • 여행 일정 제목 수정
      PATCH
    • 일정 장소 순서 교환
      PATCH
    • 여행 일차별 일정 목록 조회
      GET
  • Auth
    • 액세스 토큰 재발급
      POST
    • 로그아웃
      POST
  • Member
    • 현재 로그인한 사용자 정보 조회
      GET
    • 현재 로그인한 사용자 이름 조회
      GET
  • ChatRoom
    • 채팅방 메시지 이력 조회
      GET
  • Schemas
    • TripPlanCreateRequest
    • ChannelIdResponse
    • CommonResponse
    • ReissueTokenRequest
    • CreateAiPromptTemplateRequest
    • TokenResponse
    • TripPlanUpdateRequest
    • UpdateAiPromptTemplateRequest
    • ScheduledPlaceSwapRequest
    • AiPromptTemplateResponse
    • TripPlanResponse
    • TripPlanDetailResponse
    • DailyPlanResponse
    • PlaceResponse
    • ScheduledPlaceResponse
    • MemberResponse
    • MemberNameResponse
    • ChatMessageResponse
    • TripPlanProgressMessage
    • ChatStreamDto
    • ChatMessageRequest
    • ErrorResponse
    • PageResponse
  1. TripPlan

여행 일정 제목 수정

PATCH
/api/v1/trips/{tripPlanId}
소유자만 본인의 여행 일정 제목을 수정할 수 있습니다.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204
제목 수정 성공
This response does not have a body.
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/api/v1/trips/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "title": "string"
}'
Modified at 2025-12-19 08:15:40
Previous
여행 일정 삭제
Next
일정 장소 순서 교환
Built with